Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.oda
Class AggregationDefn

    java.lang.Object
      org.eclipse.birt.report.model.api.oda.AggregationDefn

All Implemented Interfaces:
  IAggregationDefn

    public class AggregationDefn

extends java.lang.Object
implements IAggregationDefn

Field Summary
`protected java.lang.String` | `birtAggregationDisplayName` BIRT aggregation display name.
`protected java.lang.String` | `birtAggregationId` BIRT aggregation function id.
`protected boolean` | `canIgnoreDuplicateValues` Indicate if this aggregation can ignore duplicated values.
`protected boolean` | `canIgnoreNullValues` Indicate if this aggregation can ignore null values.
`protected int` | `maxInputVar` The max number of input variable for this aggregation function.
`protected int` | `minInputVar` The minimum number of input variable for this aggregation function.
`protected boolean` | `supportsUnboundedMaxInputVar` Indicate if this aggregation support unlimited number of input variables.
`protected static int` | `UNDEFINED` The initial value for max/min arguments.

Constructor Summary
`AggregationDefn(java.lang.String birtAggregationId)` Construct aggregation definition based on BIRT predefined aggregation id.

Method Summary
`boolean` | `canIgnoreDuplicateValues()` Identify if this aggregation implementation can ignore duplicated values.
`boolean` | `canIgnoreNullValues()` Identify if this aggregation implementation can ignore null values.
`java.lang.String` | `getBirtAggregationDisplayName()` Return the display name of the BIRT predefined aggregation.
`java.lang.String` | `getBirtAggregationId()` Returns the BIRT predefined aggregation id.
`java.lang.Integer` | `getMaxInputVariables()` Return the max number of arguments that this aggregation function accept.
`java.lang.Integer` | `getMinInputVariables()` Returns the minimum number of arguments required by this aggregation function.
`java.lang.String` | `getODAAggregationDisplayName()` Returns the oda provider defined aggregation display name.
`java.lang.String` | `getODAAggregationId()` Returns the oda provider defined aggregation id.
`java.lang.String` | `getProviderExtensionId()` Returns the oda aggregation provider id.
`protected void` | `initBirtAggregation(int aggregationId, java.lang.String id)`
`boolean` | `supportsUnboundedMaxInputVariables()` Identify if this aggregation function support unlimited arguments.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNDEFINED

    protected static final int UNDEFINED

  The initial value for max/min arguments.

  See Also:
    Constant Field Values

### birtAggregationId

    protected java.lang.String birtAggregationId

  BIRT aggregation function id.

### birtAggregationDisplayName

    protected java.lang.String birtAggregationDisplayName

  BIRT aggregation display name.

### minInputVar

    protected int minInputVar

  The minimum number of input variable for this aggregation function.

### maxInputVar

    protected int maxInputVar

  The max number of input variable for this aggregation function.

### supportsUnboundedMaxInputVar

    protected boolean supportsUnboundedMaxInputVar

  Indicate if this aggregation support unlimited number of input variables.

### canIgnoreDuplicateValues

    protected boolean canIgnoreDuplicateValues

  Indicate if this aggregation can ignore duplicated values.

### canIgnoreNullValues

    protected boolean canIgnoreNullValues

  Indicate if this aggregation can ignore null values.

Constructor Detail

### AggregationDefn

    public AggregationDefn(java.lang.String birtAggregationId)
                    throws java.lang.IllegalArgumentException

  Construct aggregation definition based on BIRT predefined aggregation id.

  Parameters:
    `birtAggregationId` - birt predefined aggregation id.
  Throws:
    `java.lang.IllegalArgumentException` - exception when the passed in birt aggregation id is not predefined.

Method Detail

### canIgnoreDuplicateValues

    public boolean canIgnoreDuplicateValues()

  Description copied from interface: `IAggregationDefn`
  Identify if this aggregation implementation can ignore duplicated values.

  Specified by:
    `canIgnoreDuplicateValues` in interface `IAggregationDefn`
  Returns:
    true if this aggregation can ignore duplicated values, else false.

### canIgnoreNullValues

    public boolean canIgnoreNullValues()

  Description copied from interface: `IAggregationDefn`
  Identify if this aggregation implementation can ignore null values.

  Specified by:
    `canIgnoreNullValues` in interface `IAggregationDefn`
  Returns:
    true if this aggregation can ignore null values, else false.

### getBirtAggregationDisplayName

    public java.lang.String getBirtAggregationDisplayName()

  Description copied from interface: `IAggregationDefn`
  Return the display name of the BIRT predefined aggregation.

  Specified by:
    `getBirtAggregationDisplayName` in interface `IAggregationDefn`
  Returns:
    display name of the BIRT predefined aggregation.

### getBirtAggregationId

    public java.lang.String getBirtAggregationId()

  Description copied from interface: `IAggregationDefn`
  Returns the BIRT predefined aggregation id.

  Specified by:
    `getBirtAggregationId` in interface `IAggregationDefn`
  Returns:
    the BIRT predefined aggregation id.

### getMaxInputVariables

    public java.lang.Integer getMaxInputVariables()

  Description copied from interface: `IAggregationDefn`
  Return the max number of arguments that this aggregation function accept.

  Specified by:
    `getMaxInputVariables` in interface `IAggregationDefn`
  Returns:

### getMinInputVariables

    public java.lang.Integer getMinInputVariables()

  Description copied from interface: `IAggregationDefn`
  Returns the minimum number of arguments required by this aggregation function.

  Specified by:
    `getMinInputVariables` in interface `IAggregationDefn`
  Returns:
    minimum number of arguments required by this aggregation.

### getODAAggregationDisplayName

    public java.lang.String getODAAggregationDisplayName()

  Description copied from interface: `IAggregationDefn`
  Returns the oda provider defined aggregation display name.

  Specified by:
    `getODAAggregationDisplayName` in interface `IAggregationDefn`
  Returns:
    oda aggregation display name.

### getODAAggregationId

    public java.lang.String getODAAggregationId()

  Description copied from interface: `IAggregationDefn`
  Returns the oda provider defined aggregation id.

  Specified by:
    `getODAAggregationId` in interface `IAggregationDefn`
  Returns:
    oda aggregation id.

### getProviderExtensionId

    public java.lang.String getProviderExtensionId()

  Description copied from interface: `IAggregationDefn`
  Returns the oda aggregation provider id.

  Specified by:
    `getProviderExtensionId` in interface `IAggregationDefn`
  Returns:
    oda aggregation provider id.

### supportsUnboundedMaxInputVariables

    public boolean supportsUnboundedMaxInputVariables()

  Description copied from interface: `IAggregationDefn`
  Identify if this aggregation function support unlimited arguments.

  Specified by:
    `supportsUnboundedMaxInputVariables` in interface `IAggregationDefn`
  Returns:
    true if this aggregation support unlimited arguments,else false.

### initBirtAggregation

    protected void initBirtAggregation(int aggregationId,
                                       java.lang.String id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.